Source code

Revision control

Other Tools

1
# This file is automatically @generated by Cargo.
2
# It is not intended for manual editing.
3
[[package]]
4
name = "Inflector"
5
version = "0.11.2"
7
dependencies = [
10
]
11
12
[[package]]
13
name = "adler32"
14
version = "1.0.2"
16
17
[[package]]
18
name = "aho-corasick"
19
version = "0.6.8"
21
dependencies = [
23
]
24
25
[[package]]
26
name = "ansi_term"
27
version = "0.11.0"
29
dependencies = [
31
]
32
33
[[package]]
34
name = "app_units"
35
version = "0.7.0"
37
dependencies = [
40
]
41
42
[[package]]
43
name = "argon2rs"
44
version = "0.2.5"
46
dependencies = [
49
]
50
51
[[package]]
52
name = "arrayref"
53
version = "0.3.4"
55
56
[[package]]
57
name = "arrayvec"
58
version = "0.4.6"
60
dependencies = [
62
]
63
64
[[package]]
65
name = "atomic_refcell"
66
version = "0.1.0"
68
69
[[package]]
70
name = "atty"
71
version = "0.2.11"
73
dependencies = [
77
]
78
79
[[package]]
80
name = "audio_thread_priority"
81
version = "0.14.0"
83
dependencies = [
90
]
91
92
[[package]]
93
name = "audioipc"
94
version = "0.2.4"
95
dependencies = [
114
]
115
116
[[package]]
117
name = "audioipc-client"
118
version = "0.4.0"
119
dependencies = [
120
"audio_thread_priority 0.14.0 (registry+https://github.com/rust-lang/crates.io-index)",
121
"audioipc 0.2.4",
132
]
133
134
[[package]]
135
name = "audioipc-server"
136
version = "0.2.3"
137
dependencies = [
138
"audio_thread_priority 0.14.0 (registry+https://github.com/rust-lang/crates.io-index)",
139
"audioipc 0.2.4",
150
]
151
152
[[package]]
153
name = "authenticator"
154
version = "0.2.6"
156
dependencies = [
167
]
168
169
[[package]]
170
name = "autocfg"
171
version = "0.1.2"
173
174
[[package]]
175
name = "backtrace"
176
version = "0.3.9"
178
dependencies = [
184
]
185
186
[[package]]
187
name = "backtrace-sys"
188
version = "0.1.24"
190
dependencies = [
193
]
194
195
[[package]]
196
name = "baldrdash"
197
version = "0.1.0"
198
dependencies = [
205
]
206
207
[[package]]
208
name = "base64"
209
version = "0.9.3"
211
dependencies = [
214
]
215
216
[[package]]
217
name = "base64"
218
version = "0.10.0"
220
dependencies = [
222
]
223
224
[[package]]
225
name = "bench-collections-gtest"
226
version = "0.1.0"
227
dependencies = [
230
]
231
232
[[package]]
233
name = "binary-space-partition"
234
version = "0.1.2"
236
237
[[package]]
238
name = "binast"
239
version = "0.2.0"
240
dependencies = [
248
]
249
250
[[package]]
251
name = "bincode"
252
version = "1.0.0"
254
dependencies = [
257
]
258
259
[[package]]
260
name = "bindgen"
261
version = "0.49.1"
263
dependencies = [
271
"peeking_take_while 0.1.2 (registry+https://github.com/rust-lang/crates.io-index)",
277
]
278
279
[[package]]
280
name = "binjs_meta"
281
version = "0.5.2"
283
dependencies = [
288
]
289
290
[[package]]
291
name = "bit-vec"
292
version = "0.5.1"
294
295
[[package]]
296
name = "bit_reverse"
297
version = "0.1.7"
299
300
[[package]]
301
name = "bitflags"
302
version = "1.0.4"
304
305
[[package]]
306
name = "bitreader"
307
version = "0.3.0"
309
310
[[package]]
311
name = "bits"
312
version = "0.1.0"
313
dependencies = [
320
]
321
322
[[package]]
323
name = "bits_client"
324
version = "0.1.0"
325
dependencies = [
326
"bits 0.1.0",
335
]
336
337
[[package]]
338
name = "bitsdownload"
339
version = "0.1.0"
340
dependencies = [
341
"bits_client 0.1.0",
348
"moz_task 0.1.0",
349
"nserror 0.1.0",
350
"nsstring 0.1.0",
351
"xpcom 0.1.0",
352
]
353
354
[[package]]
355
name = "blake2-rfc"
356
version = "0.2.18"
358
dependencies = [
361
]
362
363
[[package]]
364
name = "block-buffer"
365
version = "0.7.3"
367
dependencies = [
372
]
373
374
[[package]]
375
name = "block-padding"
376
version = "0.1.2"
378
dependencies = [
380
]
381
382
[[package]]
383
name = "bookmark_sync"
384
version = "0.1.0"
385
dependencies = [
391
"moz_task 0.1.0",
392
"nserror 0.1.0",
393
"nsstring 0.1.0",
394
"storage 0.1.0",
395
"storage_variant 0.1.0",
397
"xpcom 0.1.0",
398
]
399
400
[[package]]
401
name = "boxfnonce"
402
version = "0.0.3"
404
405
[[package]]
406
name = "build_const"
407
version = "0.2.0"
409
410
[[package]]
411
name = "byte-tools"
412
version = "0.3.0"
414
415
[[package]]
416
name = "byteorder"
417
version = "1.3.1"
419
420
[[package]]
421
name = "bytes"
422
version = "0.4.9"
424
dependencies = [
427
]
428
429
[[package]]
430
name = "bzip2"
431
version = "0.3.2"
433
dependencies = [
436
]
437
438
[[package]]
439
name = "bzip2-sys"
440
version = "0.1.6"
442
dependencies = [
445
]
446
447
[[package]]
448
name = "cc"
449
version = "1.0.34"
451
452
[[package]]
453
name = "cert_storage"
454
version = "0.0.1"
455
dependencies = [
461
"moz_task 0.1.0",
462
"nserror 0.1.0",
463
"nsstring 0.1.0",
467
"storage_variant 0.1.0",
468
"style 0.0.1",
472
"xpcom 0.1.0",
473
]
474
475
[[package]]
476
name = "cexpr"
477
version = "0.3.3"
479
dependencies = [
481
]
482
483
[[package]]
484
name = "cfg-if"
485
version = "0.1.6"
487
488
[[package]]
489
name = "chrono"
490
version = "0.4.6"
492
dependencies = [
496
]
497
498
[[package]]
499
name = "clang-sys"
500
version = "0.28.0"
502
dependencies = [
506
]
507
508
[[package]]
509
name = "clap"
510
version = "2.31.2"
512
dependencies = [
521
]
522
523
[[package]]
524
name = "cloudabi"
525
version = "0.0.3"
527
dependencies = [
529
]
530
531
[[package]]
532
name = "cmake"
533
version = "0.1.29"
535
dependencies = [
537
]
538
539
[[package]]
540
name = "comedy"
541
version = "0.1.0"
543
dependencies = [
547
]
548
549
[[package]]
550
name = "constant_time_eq"
551
version = "0.1.3"
553
554
[[package]]
555
name = "cookie"
556
version = "0.11.0"
558
dependencies = [
560
]
561
562
[[package]]
563
name = "core-foundation"
564
version = "0.6.3"
566
dependencies = [
567
"core-foundation-sys 0.6.2 (registry+https://github.com/rust-lang/crates.io-index)",
569
]
570
571
[[package]]
572
name = "core-foundation-sys"
573
version = "0.6.2"
575
576
[[package]]
577
name = "core-graphics"
578
version = "0.17.1"
580
dependencies = [
585
]
586
587
[[package]]
588
name = "core-text"
589
version = "13.0.0"
591
dependencies = [
596
]
597
598
[[package]]
599
name = "cose"
600
version = "0.1.4"
602
dependencies = [
604
]
605
606
[[package]]
607
name = "cose-c"
608
version = "0.1.5"
610
dependencies = [
612
]
613
614
[[package]]
615
name = "cranelift-bforest"
616
version = "0.30.0"
618
dependencies = [
620
]
621
622
[[package]]
623
name = "cranelift-codegen"
624
version = "0.30.0"
626
dependencies = [
634
]
635
636
[[package]]
637
name = "cranelift-codegen-meta"
638
version = "0.30.0"
640
dependencies = [
642
]
643
644
[[package]]
645
name = "cranelift-entity"
646
version = "0.30.0"
648
649
[[package]]
650
name = "cranelift-frontend"
651
version = "0.30.0"
653
dependencies = [
657
]
658
659
[[package]]
660
name = "cranelift-wasm"
661
version = "0.30.0"
663
dependencies = [
671
]
672
673
[[package]]
674
name = "crc"
675
version = "1.7.0"
677
dependencies = [
679
]
680
681
[[package]]
682
name = "crossbeam-channel"
683
version = "0.3.7"
685
dependencies = [
688
]
689
690
[[package]]
691
name = "crossbeam-deque"
692
version = "0.2.0"
694
dependencies = [
697
]
698
699
[[package]]
700
name = "crossbeam-deque"
701
version = "0.6.3"
703
dependencies = [
706
]
707
708
[[package]]
709
name = "crossbeam-epoch"
710
version = "0.3.1"
712
dependencies = [
720
]
721
722
[[package]]
723
name = "crossbeam-epoch"
724
version = "0.7.1"
726
dependencies = [
733
]
734
735
[[package]]
736
name = "crossbeam-utils"
737
version = "0.2.2"
739
dependencies = [
741
]
742
743
[[package]]
744
name = "crossbeam-utils"
745
version = "0.6.5"
747
dependencies = [
750
]
751
752
[[package]]
753
name = "cssparser"
754
version = "0.25.5"
756
dependencies = [
763
"procedural-masquerade 0.1.1 (registry+https://github.com/rust-lang/crates.io-index)",
767
]
768
769
[[package]]
770
name = "cssparser-macros"
771
version = "0.3.5"
773
dependencies = [
776
"procedural-masquerade 0.1.1 (registry+https://github.com/rust-lang/crates.io-index)",
779
]
780
781
[[package]]
782
name = "cstr"
783
version = "0.1.3"
785
dependencies = [
787
"procedural-masquerade 0.1.1 (registry+https://github.com/rust-lang/crates.io-index)",
788
]
789
790
[[package]]
791
name = "cstr-macros"
792
version = "0.1.5"
794
dependencies = [
795
"procedural-masquerade 0.1.1 (registry+https://github.com/rust-lang/crates.io-index)",
797
]
798
799
[[package]]
800
name = "cubeb"
801
version = "0.5.4"
803
dependencies = [
805
]
806
807
[[package]]
808
name = "cubeb-backend"
809
version = "0.5.4"
811
dependencies = [
813
]
814
815
[[package]]
816
name = "cubeb-core"
817
version = "0.5.4"
819
dependencies = [
822
]
823
824
[[package]]
825
name = "cubeb-pulse"
826
version = "0.2.0"
827
dependencies = [
829
"pulse 0.2.0",
830
"pulse-ffi 0.1.0",
832
]
833
834
[[package]]
835
name = "cubeb-sys"
836
version = "0.5.4"
838
dependencies = [
841
]
842
843
[[package]]
844
name = "darling"
845
version = "0.9.0"
847
dependencies = [
850
]
851
852
[[package]]
853
name = "darling_core"
854
version = "0.9.0"
856
dependencies = [
863
]
864
865
[[package]]
866
name = "darling_macro"
867
version = "0.9.0"
869
dependencies = [
873
]
874
875
[[package]]
876
name = "dbus"
877
version = "0.6.4"
879
dependencies = [
882
]
883
884
[[package]]
885
name = "deflate"
886
version = "0.7.19"
888
dependencies = [
891
]
892
893
[[package]]
894
name = "derive_common"
895
version = "0.0.1"
896
dependencies = [
902
]
903
904
[[package]]
905
name = "derive_more"
906
version = "0.13.0"
908
dependencies = [
913
]
914
915
[[package]]
916
name = "devd-rs"
917
version = "0.3.0"
919
dependencies = [
922
]
923
924
[[package]]
925
name = "digest"
926
version = "0.8.0"
928
dependencies = [
930
]
931
932
[[package]]
933
name = "dirs"
934
version = "1.0.4"
936
dependencies = [
940
]
941
942
[[package]]
943
name = "dogear"
944
version = "0.2.6"
946
dependencies = [
949
]
950
951
[[package]]
952
name = "dtoa"
953
version = "0.4.2"
955
956
[[package]]
957
name = "dtoa-short"
958
version = "0.3.1"
960
dependencies = [
962
]
963
964
[[package]]
965
name = "dump_syms_rust_demangle"
966
version = "0.1.0"
967
dependencies = [
969
]
970
971
[[package]]
972
name = "dwrote"
973
version = "0.9.0"
975
dependencies = [
981
]
982
983
[[package]]
984
name = "either"
985
version = "1.1.0"
987
988
[[package]]
989
name = "encoding_c"
990
version = "0.9.0"
992
dependencies = [
994
]
995
996
[[package]]
997
name = "encoding_glue"
998
version = "0.1.0"
999
dependencies = [
1001
"nserror 0.1.0",
1002
"nsstring 0.1.0",
1003
]
1004
1005
[[package]]
1006
name = "encoding_rs"
1007
version = "0.8.17"
1009
dependencies = [
1012
]
1013
1014
[[package]]
1015
name = "env_logger"
1016
version = "0.5.6"
1018
dependencies = [
1024
]
1025
1026
[[package]]
1027
name = "error-chain"
1028
version = "0.11.0"
1030
1031
[[package]]
1032
name = "euclid"
1033
version = "0.19.5"
1035
dependencies = [
1039
]
1040
1041
[[package]]
1042
name = "euclid_macros"
1043
version = "0.1.0"
1045
dependencies = [
1049
]
1050
1051
[[package]]
1052
name = "failure"
1053
version = "0.1.3"
1055
dependencies = [
1058
]
1059
1060
[[package]]
1061
name = "failure_derive"
1062
version = "0.1.3"
1064
dependencies = [
1069
]
1070
1071
[[package]]
1072
name = "fake-simd"
1073
version = "0.1.2"
1075
1076
[[package]]
1077
name = "fallible"
1078
version = "0.0.1"
1079
dependencies = [
1080
"hashglobe 0.1.0",
1082
]
1083
1084
[[package]]
1085
name = "filetime_win"
1086
version = "0.1.0"
1088
dependencies = [
1091
]
1092
1093
[[package]]
1094
name = "flate2"
1095
version = "1.0.1"
1097
dependencies = [
1099
"miniz_oxide_c_api 0.1.2 (registry+https://github.com/rust-lang/crates.io-index)",
1100
]
1101
1102
[[package]]
1103
name = "fnv"
1104
version = "1.0.6"
1106
1107
[[package]]
1108
name = "foreign-types"
1109
version = "0.3.0"
1111
1112
[[package]]
1113
name = "freetype"
1114
version = "0.4.0"
1116
dependencies = [
1118
]
1119
1120
[[package]]
1121
name = "fs2"
1122
version = "0.4.3"
1124
dependencies = [
1127
]
1128
1129
[[package]]
1130
name = "fuchsia-cprng"
1131
version = "0.1.1"
1133
1134
[[package]]
1135
name = "fuchsia-zircon"
1136
version = "0.3.3"
1138
dependencies = [
1140
"fuchsia-zircon-sys 0.3.3 (registry+https://github.com/rust-lang/crates.io-index)",
1141
]
1142
1143
[[package]]
1144
name = "fuchsia-zircon-sys"
1145
version = "0.3.3"
1147
1148
[[package]]
1149
name = "futures"
1150
version = "0.1.23"
1152
1153
[[package]]
1154
name = "futures-cpupool"
1155
version = "0.1.8"
1157
dependencies = [
1160
]
1161
1162
[[package]]
1163
name = "fxhash"
1164
version = "0.2.1"
1166
dependencies = [
1168
]
1169
1170
[[package]]
1171
name = "geckodriver"
1172
version = "0.24.0"
1173
dependencies = [
1180
"mozprofile 0.5.0",
1181
"mozrunner 0.9.0",
1182
"mozversion 0.2.0",
1188
"webdriver 0.39.0",
1190
]
1191
1192
[[package]]
1193
name = "geckoservo"
1194
version = "0.0.1"
1195
dependencies = [
1201
"malloc_size_of 0.0.1",
1202
"nsstring 0.1.0",
1205
"selectors 0.21.0",
1206
"servo_arc 0.1.1",
1208
"style 0.0.1",
1209
"style_traits 0.0.1",
1210
"to_shmem 0.0.1",
1211
]
1212
1213
[[package]]
1214
name = "generic-array"
1215
version = "0.12.0"
1217
dependencies = [
1219
]
1220
1221
[[package]]
1222
name = "gkrust"
1223
version = "0.1.0"
1224
dependencies = [
1225
"gkrust-shared 0.1.0",
1226
"mozilla-central-workspace-hack 0.1.0",
1227
"stylo_tests 0.0.1",
1228
]
1229
1230
[[package]]
1231
name = "gkrust-gtest"
1232
version = "0.1.0"
1233
dependencies = [
1234
"bench-collections-gtest 0.1.0",
1235
"gkrust-shared 0.1.0",
1236
"mp4parse-gtest 0.1.0",
1237
"nsstring-gtest 0.1.0",
1238
"xpcom-gtest 0.1.0",
1239
]
1240
1241
[[package]]
1242
name = "gkrust-shared"
1243
version = "0.1.0"
1244
dependencies = [
1246
"audio_thread_priority 0.14.0 (registry+https://github.com/rust-lang/crates.io-index)",
1247
"audioipc-client 0.4.0",
1248
"audioipc-server 0.2.3",
1250
"bitsdownload 0.1.0",
1251
"bookmark_sync 0.1.0",
1252
"cert_storage 0.0.1",
1254
"cubeb-pulse 0.2.0",
1257
"encoding_glue 0.1.0",
1259
"geckoservo 0.0.1",
1260
"gkrust_utils 0.1.0",
1261
"jsrust_shared 0.1.0",
1262
"kvstore 0.1.0",
1265
"mozurl 0.0.1",
1266
"mp4parse_capi 0.11.2",
1267
"netwerk_helper 0.0.1",
1268
"nserror 0.1.0",
1269
"nsstring 0.1.0",
1270
"prefs_parser 0.0.1",
1271
"profiler_helper 0.1.0",
1272
"rsdparsa_capi 0.1.0",
1275
"storage 0.1.0",
1276
"webrender_bindings 0.1.0",
1277
"xpcom 0.1.0",
1278
"xulstore 0.1.0",
1279
]
1280
1281
[[package]]
1282
name = "gkrust_utils"
1283
version = "0.1.0"
1284
dependencies = [
1285
"nsstring 0.1.0",
1287
]
1288
1289
[[package]]
1290
name = "gl_generator"
1291
version = "0.11.0"
1293
dependencies = [
1297
]
1298
1299
[[package]]
1300
name = "gleam"
1301
version = "0.6.17"
1303
dependencies = [
1305
]
1306
1307
[[package]]
1308
name = "glob"
1309
version = "0.2.11"
1311
1312
[[package]]
1313
name = "goblin"
1314
version = "0.0.17"
1316
dependencies = [
1320
]
1321
1322
[[package]]
1323
name = "guid_win"
1324
version = "0.1.0"
1326
dependencies = [
1329
]
1330
1331
[[package]]
1332
name = "h2"
1333
version = "0.1.12"
1335
dependencies = [
1346
]
1347
1348
[[package]]
1349
name = "hashglobe"
1350
version = "0.1.0"
1351
dependencies = [
1353
]
1354
1355
[[package]]
1356
name = "headers"
1357
version = "0.2.1"
1359
dependencies = [
1369
]
1370
1371
[[package]]
1372
name = "headers-core"
1373
version = "0.1.1"
1375
dependencies = [
1378
]
1379
1380
[[package]]
1381
name = "headers-derive"
1382
version = "0.1.0"
1384
dependencies = [
1388
]
1389
1390
[[package]]
1391
name = "http"
1392
version = "0.1.17"
1394
dependencies = [
1398
]
1399
1400
[[package]]
1401
name = "httparse"
1402
version = "1.3.3"
1404
1405
[[package]]
1406
name = "humantime"
1407
version = "1.1.1"
1409
dependencies = [
1411
]
1412
1413
[[package]]
1414
name = "hyper"
1415
version = "0.12.19"
1417
dependencies = [
1434
"tokio-threadpool 0.1.10 (registry+https://github.com/rust-lang/crates.io-index)",
1437
]
1438
1439
[[package]]
1440
name = "ident_case"
1441
version = "1.0.0"
1443
1444
[[package]]
1445
name = "idna"
1446
version = "0.1.4"
1448
dependencies = [
1451
"unicode-normalization 0.1.5 (registry+https://github.com/rust-lang/crates.io-index)",
1452
]
1453
1454
[[package]]
1455
name = "image"
1456
version = "0.21.1"
1458
dependencies = [
1465
]
1466
1467
[[package]]
1468
name = "indexmap"
1469
version = "1.0.1"
1471
1472
[[package]]
1473
name = "inflate"
1474
version = "0.4.5"
1476
dependencies = [
1478
]
1479
1480
[[package]]
1481
name = "input_buffer"
1482
version = "0.2.0"
1484
dependencies = [
1486
]
1487
1488
[[package]]
1489
name = "iovec"
1490
version = "0.1.2"
1492
dependencies = [
1495
]
1496
1497
[[package]]
1498
name = "itertools"
1499
version = "0.7.6"
1501
dependencies = [
1503
]
1504
1505
[[package]]
1506
name = "itertools"
1507
version = "0.8.0"
1509
dependencies = [
1511
]
1512
1513
[[package]]
1514
name = "itoa"
1515
version = "0.4.1"
1517
1518
[[package]]
1519
name = "js"
1520
version = "0.1.4"
1521
dependencies = [
1529
"mozjs_sys 0.0.0",
1531
]
1532
1533
[[package]]
1534
name = "jsrust"
1535
version = "0.1.0"
1536
dependencies = [
1537
"jsrust_shared 0.1.0",
1538
]
1539
1540
[[package]]
1541
name = "jsrust_shared"
1542
version = "0.1.0"
1543
dependencies = [
1544
"baldrdash 0.1.0",
1545
"mozilla-central-workspace-hack 0.1.0",
1546
]
1547
1548
[[package]]
1549
name = "kernel32-sys"
1550
version = "0.2.2"
1552
dependencies = [
1555
]
1556
1557
[[package]]
1558
name = "khronos_api"
1559
version = "3.1.0"
1561
1562
[[package]]
1563
name = "kvstore"
1564
version = "0.1.0"
1565
dependencies = [
1573
"moz_task 0.1.0",
1574
"nserror 0.1.0",
1575
"nsstring 0.1.0",
1577
"storage_variant 0.1.0",
1580
"xpcom 0.1.0",
1581
]
1582
1583
[[package]]
1584
name = "lazy_static"
1585
version = "1.2.0"
1587
1588
[[package]]
1589
name = "lazycell"
1590
version = "0.4.0"
1592
1593
[[package]]
1594
name = "lazycell"
1595
version = "1.2.1"
1597
1598
[[package]]
1599
name = "libc"
1600
version = "0.2.51"
1602
1603
[[package]]
1604
name = "libdbus-sys"
1605
version = "0.1.5"
1607
dependencies = [
1609
]
1610
1611
[[package]]
1612
name = "libloading"
1613
version = "0.5.0"
1615
dependencies = [
1618
]
1619
1620
[[package]]
1621
name = "libudev"
1622
version = "0.2.0"
1624
dependencies = [
1626
"libudev-sys 0.1.3",
1627
]
1628
1629
[[package]]
1630
name = "libudev-sys"
1631
version = "0.1.3"
1632
dependencies = [
1635
]
1636
1637
[[package]]
1638
name = "libz-sys"
1639
version = "1.0.25"
1641
dependencies = [
1646
]
1647
1648
[[package]]
1649
name = "linked-hash-map"
1650
version = "0.5.1"
1652
1653
[[package]]
1654
name = "lmdb-rkv"
1655
version = "0.11.4"
1657
dependencies = [
1662
]
1663
1664
[[package]]
1665
name = "lmdb-rkv-sys"
1666
version = "0.8.4"
1668
dependencies = [
1672
]
1673
1674
[[package]]
1675
name = "lock_api"
1676
version = "0.2.0"
1678
dependencies = [
1680
]
1681
1682
[[package]]
1683
name = "log"
1684
version = "0.3.9"
1686
dependencies = [
1688
]
1689
1690
[[package]]
1691
name = "log"
1692
version = "0.4.6"
1694
dependencies = [
1696
]
1697
1698
[[package]]
1699
name = "lzw"
1700
version = "0.10.0"
1702
1703
[[package]]
1704
name = "mach"
1705
version = "0.1.2"
1707
dependencies = [
1709
]
1710
1711
[[package]]
1712
name = "malloc_size_of"
1713
version = "0.0.1"
1714
dependencies = [
1718
"hashglobe 0.1.0",
1719
"selectors 0.21.0",
1720
"servo_arc 0.1.1",
1725
]
1726
1727
[[package]]
1728
name = "malloc_size_of_derive"
1729
version = "0.1.0"
1731
dependencies = [
1735
]
1736
1737
[[package]]
1738
name = "matches"
1739
version = "0.1.6"
1741
1742
[[package]]
1743
name = "memchr"
1744
version = "1.0.2"
1746
dependencies = [
1748
]
1749
1750
[[package]]
1751
name = "memchr"
1752
version = "2.2.0"
1754
1755
[[package]]
1756
name = "memmap"
1757
version = "0.5.2"
1759
dependencies = [
1764
]
1765
1766
[[package]]
1767
name = "memmap"
1768
version = "0.6.2"
1770
dependencies = [
1773
]
1774
1775
[[package]]
1776
name = "memoffset"
1777
version = "0.2.1"
1779
1780
[[package]]
1781
name = "mime"
1782
version = "0.3.13"
1784
dependencies = [
1786
]
1787
1788
[[package]]
1789
name = "mime_guess"
1790
version = "2.0.0-alpha.6"
1792
dependencies = [
1797
]
1798
1799
[[package]]
1800
name = "miniz_oxide"
1801
version = "0.1.2"
1803
dependencies = [
1806
]
1807
1808
[[package]]
1809
name = "miniz_oxide_c_api"
1810
version = "0.1.2"
1812
dependencies = [
1817
]
1818
1819
[[package]]
1820
name = "mio"
1821
version = "0.6.16"
1823
dependencies = [
1825
"fuchsia-zircon-sys 0.3.3 (registry+https://github.com/rust-lang/crates.io-index)",
1835
]
1836
1837
[[package]]
1838
name = "mio-extras"
1839
version = "2.0.5"
1841
dependencies = [
1846
]
1847
1848
[[package]]
1849
name = "mio-named-pipes"
1850
version = "0.1.5"
1852
dependencies = [
1858
]
1859
1860
[[package]]
1861
name = "mio-uds"
1862
version = "0.6.7"
1864
dependencies = [
1868
]
1869
1870
[[package]]
1871
name = "miow"
1872
version = "0.2.1"
1874
dependencies = [
1879
]
1880
1881
[[package]]
1882
name = "moz_cbor"
1883
version = "0.1.1"
1885
1886
[[package]]
1887
name = "moz_task"
1888
version = "0.1.0"
1889
dependencies = [
1891
"nserror 0.1.0",
1892
"nsstring 0.1.0",
1893
"xpcom 0.1.0",
1894
]
1895
1896
[[package]]
1897
name = "mozilla-central-workspace-hack"
1898
version = "0.1.0"
1899
dependencies = [
1908
]
1909
1910
[[package]]
1911
name = "mozjs_sys"
1912
version = "0.0.0"
1913
dependencies = [
1918
]
1919
1920
[[package]]
1921
name = "mozprofile"
1922
version = "0.5.0"
1923
dependencies = [
1925
]
1926
1927
[[package]]
1928
name = "mozrunner"
1929
version = "0.9.0"
1930
dependencies = [
1933
"mozprofile 0.5.0",
1936
]
1937
1938
[[package]]
1939
name = "mozurl"
1940
version = "0.0.1"
1941
dependencies = [
1942
"nserror 0.1.0",
1943
"nsstring 0.1.0",
1946
"xpcom 0.1.0",
1947
]
1948
1949
[[package]]
1950
name = "mozversion"
1951
version = "0.2.0"
1952
dependencies = [
1956
]
1957
1958
[[package]]
1959
name = "mp4parse"
1960
version = "0.11.2"
1961
dependencies = [
1965
"mp4parse_fallible 0.0.1 (registry+https://github.com/rust-lang/crates.io-index)",
1967
]
1968
1969
[[package]]
1970
name = "mp4parse-gtest"
1971
version = "0.1.0"
1972
1973
[[package]]
1974
name = "mp4parse_capi"
1975
version = "0.11.2"
1976
dependencies = [
1979
"mp4parse 0.11.2",
1981
]
1982
1983
[[package]]
1984
name = "mp4parse_fallible"
1985
version = "0.0.1"
1987
1988
[[package]]
1989
name = "msdos_time"
1990
version = "0.1.6"
1992
dependencies = [
1995
]
1996
1997
[[package]]
1998
name = "murmurhash3"
1999
version = "0.0.5"
2001
2002
[[package]]
2003
name = "net2"
2004
version = "0.2.33"
2006
dependencies = [
2010
]
2011
2012
[[package]]
2013
name = "netwerk_helper"
2014
version = "0.0.1"
2015
dependencies = [
2016
"nserror 0.1.0",
2017
"nsstring 0.1.0",
2018
]
2019
2020
[[package]]
2021
name = "new_debug_unreachable"
2022
version = "1.0.1"
2024
dependencies = [
2026
]
2027
2028
[[package]]
2029
name = "nodrop"
2030
version = "0.1.12"
2032
2033
[[package]]
2034
name = "nom"
2035
version = "4.1.1"
2037
dependencies = [
2039
]
2040
2041
[[package]]
2042
name = "nserror"
2043
version = "0.1.0"
2044
dependencies = [
2045
"nsstring 0.1.0",
2046
]
2047
2048
[[package]]
2049
name = "nsstring"
2050
version = "0.1.0"
2051
dependencies = [
2054
]
2055
2056
[[package]]
2057
name = "nsstring-gtest"
2058
version = "0.1.0"
2059
dependencies = [
2060
"nsstring 0.1.0",
2061
]
2062
2063
[[package]]
2064
name = "num-derive"
2065
version = "0.2.5"
2067
dependencies = [
2071
]
2072
2073
[[package]]
2074
name = "num-integer"
2075
version = "0.1.39"
2077
dependencies = [
2079
]
2080
2081
[[package]]
2082
name = "num-iter"
2083
version = "0.1.37"
2085
dependencies = [
2088
]
2089
2090
[[package]]
2091
name = "num-rational"
2092
version = "0.2.1"
2094
dependencies = [
2097
]
2098
2099
[[package]]
2100
name = "num-traits"
2101
version = "0.1.43"
2103
dependencies = [
2105
]
2106
2107
[[package]]
2108
name = "num-traits"
2109
version = "0.2.6"
2111
2112
[[package]]
2113
name = "num_cpus"
2114
version = "1.7.0"
2116
dependencies = [
2118
]
2119
2120
[[package]]
2121
name = "object"
2122
version = "0.10.0"
2124
dependencies = [
2128
]
2129
2130
[[package]]
2131
name = "opaque-debug"
2132
version = "0.2.1"
2134
2135
[[package]]
2136
name = "ordered-float"
2137
version = "1.0.1"
2139
dependencies = [
2141
]
2142
2143
[[package]]
2144
name = "owning_ref"
2145
version = "0.4.0"
2147
dependencies = [
2148
"stable_deref_trait 1.0.0 (registry+https://github.com/rust-lang/crates.io-index)",
2149
]
2150
2151
[[package]]
2152
name = "packed_simd"
2153
version = "0.3.3"
2155
dependencies = [
2157
]
2158
2159
[[package]]
2160
name = "parking_lot"
2161
version = "0.8.0"
2163
dependencies = [
2167
]
2168
2169
[[package]]
2170
name = "parking_lot_core"
2171
version = "0.5.0"
2173
dependencies = [
2182
]
2183
2184
[[package]]
2185
name = "peeking_take_while"
2186
version = "0.1.2"
2188
2189
[[package]]
2190
name = "percent-encoding"
2191
version = "1.0.0"
2193
2194
[[package]]
2195
name = "phf"
2196
version = "0.7.21"
2198
dependencies = [
2200
]
2201
2202
[[package]]
2203
name = "phf_codegen"
2204
version = "0.7.21"
2206
dependencies = [
2209
]
2210
2211
[[package]]
2212
name = "phf_generator"
2213
version = "0.7.21"
2215
dependencies = [
2218
]
2219
2220
[[package]]
2221
name = "phf_shared"
2222
version = "0.7.21"
2224
dependencies = [
2227
]
2228
2229
[[package]]
2230
name = "pkg-config"
2231
version = "0.3.9"
2233
2234
[[package]]
2235
name = "plain"
2236
version = "0.2.3"
2238
2239
[[package]]
2240
name = "plane-split"
2241
version = "0.13.8"
2243
dependencies = [
2244
"binary-space-partition 0.1.2 (registry+https://github.com/rust-lang/crates.io-index)",
2248
]
2249
2250
[[package]]
2251
name = "plist"
2252
version = "0.4.0"
2254
dependencies = [
2260
]
2261
2262
[[package]]
2263
name = "png"
2264
version = "0.14.0"
2266
dependencies = [
2271
]
2272
2273
[[package]]
2274
name = "podio"
2275
version = "0.1.5"
2277
2278
[[package]]
2279
name = "precomputed-hash"
2280
version = "0.1.1"
2282
2283
[[package]]
2284
name = "prefs_parser"
2285
version = "0.0.1"
2286
2287
[[package]]
2288
name = "proc-macro2"
2289
version = "0.4.27"
2291
dependencies = [
2293
]
2294
2295
[[package]]
2296
name = "procedural-masquerade"
2297
version = "0.1.1"
2299
2300
[[package]]
2301
name = "profiler_helper"
2302
version = "0.1.0"
2303
dependencies = [
2308
]
2309
2310
[[package]]
2311
name = "pulse"
2312
version = "0.2.0"
2313
dependencies = [
2315
"pulse-ffi 0.1.0",
2316
]
2317
2318
[[package]]
2319
name = "pulse-ffi"
2320
version = "0.1.0"
2321
dependencies = [
2323
]
2324
2325
[[package]]
2326
name = "quick-error"
2327
version = "1.2.1"
2329
2330
[[package]]
2331
name = "quote"
2332
version = "0.6.11"
2334
dependencies = [
2335
"proc-macro2 0.4.27 (regist